package com.hp.user.service.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/serviceProvider")
public class ServiceProviderController {
    /**
     * 添加服务商
     * 需要服务商信息
     */
    @RequestMapping("/addServiceProvider")
    public void addServiceProvider(){

    }

    /**
     * 更新服务商信息
     * 需要服务商信息
     */
    @RequestMapping("/updateServiceProvider")
    public void updateServiceProvider(){

    }

    /**
     * 根据服务商Id删除服务商
     * @param serviceProviderId 服务商Id
     */
    @RequestMapping("/deleteServiceProviderByServiceProviderId")
    public void deleteServiceProviderByServiceProviderId(String serviceProviderId){

    }

    /**
     * 根据服务商Id查询某服务商信息
     * @param serviceProviderId 服务商Id
     */
    @RequestMapping("/queryCompanyByCompanyId")
    public void queryServiceProviderByServiceProviderId(String serviceProviderId){

    }

    /**
     * 查询所有服务商信息
     */
    @RequestMapping("/queryAllServiceProvider")
    public void queryAllServiceProvider(){

    }

    /**
     * 查询某服务商的所有用户及用户对应的角色
     * @param serviceProviderId 服务商Id
     */
    @RequestMapping("/queryAllUserAndRoleOfServiceProvider")
    public void queryAllUserAndRoleOfServiceProvider(String serviceProviderId){

    }

    /**
     * 关联某服务商与某用户
     * @param serviceProviderId 服务商Id
     * @param userId 用户Id
     */
    @RequestMapping("/associateServiceProviderAndUser")
    public void associateServiceProviderAndUser(String serviceProviderId,String userId){

    }

    /**
     * 解除某服务商与某用户的关联
     * @param serviceProviderId 服务商Id
     * @param userId 用户Id
     */
    @RequestMapping("/dissociateServiceProviderAndUser")
    public void dissociateServiceProviderAndUser(String serviceProviderId,String userId){

    }
}
