package com.hp.user.client.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班组
 * </p>
 *
 * @author yeqid
 * @since 2020-12-04
 */
public class ElectricianGroupVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 班组id
     */
    private String electricianGroupId;
    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 组名
     */
    private String groupName;

    /**
     * 组长
     */
    private String groupLeader;
    
    private String leaderName;
    
    private String teamMemberName;
    /**
     * 组员id，多个用逗号隔开
     */
    private String electricianId;

    /**
     * 备注
     */
    private String remaks;

    /**
     * 更新时间
     */
    private Date sysUpdateTime;

    /**
     * 更新者
     */
    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

	public String getElectricianGroupId() {
		return electricianGroupId;
	}

	public void setElectricianGroupId(String electricianGroupId) {
		this.electricianGroupId = electricianGroupId;
	}

	public String getServiceProviderId() {
		return serviceProviderId;
	}

	public void setServiceProviderId(String serviceProviderId) {
		this.serviceProviderId = serviceProviderId;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getGroupLeader() {
		return groupLeader;
	}

	public void setGroupLeader(String groupLeader) {
		this.groupLeader = groupLeader;
	}

	public String getRemaks() {
		return remaks;
	}

	public void setRemaks(String remaks) {
		this.remaks = remaks;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

	public String getElectricianId() {
		return electricianId;
	}

	public void setElectricianId(String electricianId) {
		this.electricianId = electricianId;
	}

	public String getLeaderName() {
		return leaderName;
	}

	public void setLeaderName(String leaderName) {
		this.leaderName = leaderName;
	}

	public String getTeamMemberName() {
		return teamMemberName;
	}

	public void setTeamMemberName(String teamMemberName) {
		this.teamMemberName = teamMemberName;
	}

}
