package com.hp.user.service;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.alibaba.fastjson.JSONObject;
import com.hp.user.client.entity.AccountVO;
import com.hp.user.client.service.AccountService;
import com.hp.user.service.utils.WeixinSignUtil;

@SpringBootTest
@RunWith(SpringRunner.class)
public class AccountServiceTest {
	
	@Autowired
	private AccountService accountService;
	
	@Test
	public void checkPhoneTest() {
		AccountVO account = new AccountVO();
		account.setPhone("18668123093");
		account.setUserName("ye");
		accountService.register(account);
	}
	
	@Test
	public void bindWx() {
		String userId = "1332956635093651457";
		String wx = "527610617";
		accountService.bindWx(userId, wx);
	}
	@Test
	public void wxAuthorization() {
//		accountService.wxAuthorization("001QSW000EMPJK1ZFg300SotTz4QSW0X");
		String code = "031kX8ml2rh0464pYUol2kYuN94kX8md";
//		JSONObject data = WeixinSignUtil.getCode2Session(code);
//		String access_token = "39_K8OLop7Aguy8gVNTDIDIqIo6GNvFhSgbOtrPdM3HYl9cbaqBhzxQStNKHbeOxDRDHwrvgwL8Y4ANuxKt81qAgJWtig-mP8EUWsx34lWcW9jPMOCh-Qgm9glDlGEFlC0CBDRBaSKQvrxJZd6jMZIcAIAYLU";
//        System.out.println(data);
        
        
        
        
        
        
        JSONObject data2 = WeixinSignUtil.getAccessToken(code);
        String token = data2.getString("access_token");
        System.out.println(data2);
        JSONObject data1 = WeixinSignUtil.getUserInfo(token,"orNdJ4yNtN3_7GCpnW-A_wyuuhdw");
        System.out.println(data1);
	}
}
